For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • DELDelete Model Sync
      • PATCHUpdate Sync
      • POSTActivate Sync
      • POSTStart Sync
      • GETGet Sync Status
Logo
Log inBook a demo
API ReferenceModel Sync

Start Sync

POST
https://app.polytomic.com/api/syncs/:id/executions
POST
/api/syncs/:id/executions
$curl -X POST https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{}'
1{
2 "data": {
3 "created_at": "2024-01-01T00:00:00Z",
4 "id": "7f3e9c2a-4b8d-4f1e-a9c3-6d5e2f8b1a7c",
5 "status": "created"
6 }
7}
Starts a new execution of a model sync. > 🚧 Force full resync > > Use caution when setting the `resync` parameter to `true`. This will force a full resync of the data from the source system. This can be a time-consuming operation and may impact the performance of the source system. It is recommended to only use this option when necessary.
Was this page helpful?
Previous

Get Sync Status

Next

Starts a new execution of a model sync.

🚧 Force full resync

Use caution when setting the resync parameter to true. This will force a full resync of the data from the source system. This can be a time-consuming operation and may impact the performance of the source system. It is recommended to only use this option when necessary.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
identitieslist of strings or nullOptional
resyncbooleanOptionalDefaults to false
testbooleanOptionalDefaults to false

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error